<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>ClipboardPattern (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClipboardPattern (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/BlockPattern.html" title="class in com.sk89q.worldedit.function.pattern"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/ExtentBufferedCompositePattern.html" title="class in com.sk89q.worldedit.function.pattern"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/pattern/ClipboardPattern.html" target="_top">Frames</a></li>
<li><a href="ClipboardPattern.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.function.pattern.RepeatingExtentPattern">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.pattern</div>
<h2 title="Class ClipboardPattern" class="title">Class ClipboardPattern</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/AbstractPattern.html" title="class in com.sk89q.worldedit.function.pattern">com.sk89q.worldedit.function.pattern.AbstractPattern</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/AbstractExtentPattern.html" title="class in com.sk89q.worldedit.function.pattern">com.sk89q.worldedit.function.pattern.AbstractExtentPattern</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html" title="class in com.sk89q.worldedit.function.pattern">com.sk89q.worldedit.function.pattern.RepeatingExtentPattern</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.pattern.ClipboardPattern</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/pattern/ExtentPattern.html" title="interface in com.sk89q.worldedit.function.pattern">ExtentPattern</a>, <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClipboardPattern</span>
extends <a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html" title="class in com.sk89q.worldedit.function.pattern">RepeatingExtentPattern</a></pre>
<div class="block">A pattern that reads from <a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard"><code>Clipboard</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/pattern/ClipboardPattern.html#ClipboardPattern-com.sk89q.worldedit.extent.clipboard.Clipboard-">ClipboardPattern</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>&nbsp;clipboard)</code>
<div class="block">Create a new clipboard pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/pattern/ClipboardPattern.html#ClipboardPattern-com.sk89q.worldedit.extent.clipboard.Clipboard-com.sk89q.worldedit.math.BlockVector3-">ClipboardPattern</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>&nbsp;clipboard,
                <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;offset)</code>
<div class="block">Create a new clipboard pattern.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.function.pattern.RepeatingExtentPattern">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.function.pattern.<a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html" title="class in com.sk89q.worldedit.function.pattern">RepeatingExtentPattern</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html#apply-com.sk89q.worldedit.math.BlockVector3-">apply</a>, <a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html#getOffset--">getOffset</a>, <a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html#getOrigin--">getOrigin</a>, <a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html#setOffset-com.sk89q.worldedit.math.BlockVector3-">setOffset</a>, <a href="../../../../../com/sk89q/worldedit/function/pattern/RepeatingExtentPattern.html#setOrigin-com.sk89q.worldedit.math.BlockVector3-">setOrigin</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.function.pattern.AbstractExtentPattern">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.function.pattern.<a href="../../../../../com/sk89q/worldedit/function/pattern/AbstractExtentPattern.html" title="class in com.sk89q.worldedit.function.pattern">AbstractExtentPattern</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/function/pattern/AbstractExtentPattern.html#getExtent--">getExtent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClipboardPattern-com.sk89q.worldedit.extent.clipboard.Clipboard-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ClipboardPattern</h4>
<pre>public&nbsp;ClipboardPattern(<a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>&nbsp;clipboard)</pre>
<div class="block">Create a new clipboard pattern.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clipboard</code> - the clipboard</dd>
</dl>
</li>
</ul>
<a name="ClipboardPattern-com.sk89q.worldedit.extent.clipboard.Clipboard-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClipboardPattern</h4>
<pre>public&nbsp;ClipboardPattern(<a href="../../../../../com/sk89q/worldedit/extent/clipboard/Clipboard.html" title="interface in com.sk89q.worldedit.extent.clipboard">Clipboard</a>&nbsp;clipboard,
                        <a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;offset)</pre>
<div class="block">Create a new clipboard pattern.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clipboard</code> - the clipboard</dd>
<dd><code>offset</code> - the offset</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/BlockPattern.html" title="class in com.sk89q.worldedit.function.pattern"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/pattern/ExtentBufferedCompositePattern.html" title="class in com.sk89q.worldedit.function.pattern"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/pattern/ClipboardPattern.html" target="_top">Frames</a></li>
<li><a href="ClipboardPattern.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.function.pattern.RepeatingExtentPattern">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
